function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { useContext } from 'react';
import { ExcelContext } from "./index";
import { DataCompCxt } from "./DataComp"; // 承接组件，将context的值变成props传入
// 目的：使被承接页面可以使用React.memo做性能优化
// 原因：React.memo只能接收先后props变化

export default function Undertake(Comp) {
  return function (props) {
    var excelContext = useContext(ExcelContext);
    var dataCompCxt = useContext(DataCompCxt);
    return /*#__PURE__*/React.createElement(Comp, _extends({}, props, {
      excelContext: _objectSpread(_objectSpread({}, excelContext), {}, {
        reduxData: _objectSpread(_objectSpread({}, excelContext.reduxData), dataCompCxt.reduxData)
      })
    }));
  };
}