function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { cloneElement, useEffect, useState, useRef } from 'react';
import { Resizable } from 'react-resizable';
import { caretDown, caretUp } from "../../utils/icon";
import classnames from 'classnames';
import { defaultItemHeightGet } from "../../utils/config";
import { getPrimary, getKey, getRowKeys, getErrorDisabled } from "../../utils/tools";
import { selectBox } from "./itemConfig";
import Popover from "../../components/Popover";
import SpDropDown from "./dropDown";
import { DatePicker, Input, Cascader } from 'rlj-design';
import moment from 'moment';
export function AssistIcon(props) {
  var fatherTmp = props.fatherTmp,
      childrenTmp = props.childrenTmp,
      excelContext = props.excelContext,
      data = props.data,
      param = props.param,
      rowKey = props.rowKey,
      rowIndex = props.rowIndex,
      change = props.change,
      width = props.width,
      source = props.source; // 获取指定rowKey

  var getRowKey = function getRowKey(v) {
    return getRowKeys(rowKey, v);
  };

  var dataIndex = getKey(param);
  var dataRowId = getRowKey(data);
  var _excelContext$reduxDa = excelContext.reduxData,
      copyDrags = _excelContext$reduxDa.copyDrags,
      selectOneRow = _excelContext$reduxDa.selectOneRow,
      copyCursor = _excelContext$reduxDa.copyCursor,
      editableConfig = _excelContext$reduxDa.editableConfig,
      modalRef = _excelContext$reduxDa.modalRef,
      colData = _excelContext$reduxDa.colData;
  var editable = editableConfig.editable,
      _editableConfig$error = editableConfig.errors,
      errors = _editableConfig$error === void 0 ? [] : _editableConfig$error,
      customizeConfig = editableConfig.customizeConfig;

  var _ref = customizeConfig || {},
      _ref$onCustomizeChang = _ref.onCustomizeChange,
      onCustomizeChange = _ref$onCustomizeChang === void 0 ? function () {} : _ref$onCustomizeChang,
      customizeVisible = _ref.visible;

  var sourceMaxIndex = source && source.length - 1;

  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      visible = _useState2[0],
      setVisible = _useState2[1];

  var _useState3 = useState(data[dataIndex] || ''),
      _useState4 = _slicedToArray(_useState3, 2),
      value = _useState4[0],
      setValue = _useState4[1];

  var inputRef = useRef(null);
  var errorStatus = getErrorDisabled(errors, dataIndex, dataRowId); // 不是编辑态，直接显示

  if (!editable) return /*#__PURE__*/cloneElement(fatherTmp, {}, childrenTmp); // 下拉菜单点击 - 单选场景

  var menuClick = function menuClick(param, arr) {
    return function (e, record) {
      var tmp = arr.find(function (v) {
        return v.value + '' === e.key + '';
      });
      setVisible(false);
      change({
        e: param.valueType === 'address' ? record : [tmp],
        param: _objectSpread(_objectSpread({}, param), {}, {
          data: data
        })
      }, 'changeOneCellWidthDown');
      handleFlag();
    };
  }; // 下拉菜单点击 - 多选场景


  var selectChange = function selectChange(param, arr) {
    return function (e) {
      var curData = data[dataIndex] || []; // 当前单元格的值

      var selectData;

      if (e.key === 'checkAll') {
        if (curData.length === arr.length) {
          selectData = [];
        } else {
          selectData = _toConsumableArray(arr);
        }
      } else {
        // 保证顺序
        var curDataIds = curData.map(function (v) {
          return v.value + '';
        }); // 当前值的id数组

        if (curDataIds.includes(e.key)) {
          curDataIds.splice(curDataIds.indexOf(e.key), 1);
        } else {
          curDataIds.push(e.key);
        }

        selectData = arr.filter(function (v) {
          return curDataIds.includes(v.value + '');
        });

        if (!selectData.length) {
          selectData = [];
        }
      }

      change({
        e: selectData,
        param: _objectSpread(_objectSpread({}, param), {}, {
          data: data
        })
      }, 'changeOneCellWidthDown');
    };
  }; // 时间选择器


  var dateSelect = function dateSelect(e) {
    change({
      e: {
        value: e.format('YYYY-MM-DD')
      },
      param: _objectSpread(_objectSpread({}, param), {}, {
        data: data
      })
    }, 'changeOneCellWidthDate');
    setTimeout(function () {
      setVisible(false);
      handleFlag();
    });
  }; // 输入框


  var inputChange = function inputChange(e) {
    setValue(e.target.value);
  }; // 失焦


  var inputBlur = function inputBlur() {
    var curData = data[dataIndex] || ''; // 当前单元格的值

    if (curData === (value || '')) return; // 如果当前输入框的值和输入的值相等，则不执行输出

    setVisible(false);

    if (['int', 'number'].includes(param.valueType) && isNaN(+value)) {
      return;
    }

    change({
      e: {
        value: value ? value.trim() : ''
      },
      param: _objectSpread(_objectSpread({}, param), {}, {
        data: data
      })
    }, 'changeOneCellWidthInput');
    handleFlag();
  }; // 是否选中单元格


  var isSelectCell = selectOneRow && getKey(selectOneRow) === dataIndex && getRowKey(data) === getRowKey(selectOneRow.data); // 是否有下拉复制按钮

  var isCopyCursor = copyCursor && getKey(copyCursor) === dataIndex && getRowKey(data) === getRowKey(copyCursor.data); // 出现场景：但某个选中单元格打开了弹窗（日期选择弹窗，下拉选择弹窗），此时又随意选中了另外一个单元格
  // 目的：把打开弹窗的恢复到初始状态（关闭）

  useEffect(function () {
    if (visible) {
      setValue(data[dataIndex] || '');
      modalRef.current.style.display = 'block';

      modalRef.current.onclick = function () {
        modalRef.current.style.display = 'none';
        setVisible(false);
      };

      if (['customize'].includes(selectOneRow.valueType)) {
        onCustomizeChange(dataIndex, dataRowId, data, param);
      }
    } else {
      setValue('');

      if (modalRef.current.style.display === 'block') {
        modalRef.current.style.display = 'none';
      }
    }

    if (visible && !isSelectCell) {
      setVisible(false);
    }
  }, [isSelectCell, visible]);
  useEffect(function () {
    if (!customizeVisible) {
      modalRef.current.style.display = 'none';
      handleFlag();
      setVisible(false);
    }
  }, [customizeVisible]);

  var handleFlag = function handleFlag() {
    window.stopHover = true;
    setTimeout(function () {
      window.stopHover = false;
    });
  };

  var item = function item() {
    var childrenArr = [];
    var needShowCaretArr = ['selection', 'checkbox', 'date', 'customize', 'address'];

    if (isSelectCell && needShowCaretArr.includes(selectOneRow.valueType)) {
      childrenArr.push( /*#__PURE__*/React.createElement("div", {
        key: dataIndex + dataRowId + 'caretIcon',
        className: "salaryExcelContainerEditDivCaretDown",
        onClick: function onClick(e) {
          e.stopPropagation();
          setVisible(!visible);
        },
        onDoubleClick: function onDoubleClick(e) {
          return e.stopPropagation();
        }
      }, visible ? caretUp : caretDown));
    }

    if (param.valueType === 'date') {
      childrenArr.push( /*#__PURE__*/React.createElement(DatePicker, {
        key: dataIndex + dataRowId + 'datePicker',
        open: visible,
        className: "salaryExcelDataItemDPInput",
        onChange: dateSelect,
        value: data[dataIndex] ? moment(data[dataIndex]) : undefined,
        disabledDate: function disabledDate(current) {
          var _colData$disableDate = colData.disableDate,
              disableDate = _colData$disableDate === void 0 ? {} : _colData$disableDate;

          var _ref2 = (disableDate[dataRowId] || {})[dataIndex] || {},
              start = _ref2.start,
              end = _ref2.end;

          if (current) {
            if (start && end) {
              return !(current.endOf('day') >= moment(start).endOf('day') && current.endOf('day') <= moment(end).endOf('day'));
            } else if (start) {
              return current.endOf('day') < moment(start).endOf('day');
            } else if (end) {
              return current.endOf('day') > moment(end).endOf('day');
            } else {
              return false;
            }
          } else {
            return false;
          }
        }
      }));
    }

    var selectedCopyCursor = isCopyCursor && !copyDrags.maxRowIndex; // 选中的单元格

    var lastSelectedCopyCursor = !isCopyCursor && copyDrags.maxRowIndex === rowIndex; // 下拉选择的最后一个单元格

    var indexNotExceeded = rowIndex < sourceMaxIndex;

    if ((selectedCopyCursor || lastSelectedCopyCursor) && indexNotExceeded) {
      childrenArr.push( /*#__PURE__*/React.createElement(Crosshair, _extends({}, props, {
        key: "crosshair"
      })));
    }

    if (isSelectCell) {
      childrenArr.push(selectBox);
    }

    return /*#__PURE__*/cloneElement(fatherTmp, {
      onClick: function onClick() {
        if (Object.keys(copyDrags).length) {
          change({
            copyDrags: {}
          }, 'copyDrags');
        }

        if (isSelectCell) return;
        change({
          param: _objectSpread(_objectSpread({}, param), {}, {
            data: data,
            rowIndex: rowIndex
          })
        }, 'selectOneRow');
      },
      onDoubleClick: function onDoubleClick() {
        setVisible(true);

        if (!param.disabled && !needShowCaretArr.includes(param.valueType)) {
          setTimeout(function () {
            setValue(data[dataIndex]);
          });
          setTimeout(function () {
            inputRef.current.focus();
          });
        }
      },
      className: classnames(fatherTmp.props.className, errorStatus ? errorStatus.className || '' : '', {
        salaryExcelDataItemError: !!errorStatus,
        salaryExcelDataItemSelect: isSelectCell,
        salaryExcelDataItemCursor: isCopyCursor,
        copySelected: copyDrags.rowIndex <= rowIndex && copyDrags.maxRowIndex >= rowIndex && selectOneRow && selectOneRow.dataIndex === dataIndex // lastCopySelected:
        //   copyDrags.maxRowIndex === rowIndex &&
        //   selectOneRow &&
        //   selectOneRow.dataIndex === dataIndex,

      })
    }, [childrenTmp].concat(childrenArr));
  };

  var renderItem = function renderItem() {
    return errorStatus && errorStatus.errorMsg ? /*#__PURE__*/React.createElement(Popover, {
      content: errorStatus.errorMsg,
      canCopy: false
    }, item()) : item();
  };

  if (['rowPrefixSp', 'rowSelection'].includes(dataIndex) || param.disabled) {
    return /*#__PURE__*/cloneElement(fatherTmp, {}, childrenTmp);
  } else if (isSelectCell) {
    var valueType = selectOneRow.valueType,
        selection = selectOneRow.selection,
        fieldNames = selectOneRow.fieldNames;
    var itemHeight = defaultItemHeightGet();
    var curData = data[dataIndex] || []; // 单选

    if (['selection'].includes(valueType)) {
      return /*#__PURE__*/React.createElement(SpDropDown, {
        excelContext: excelContext,
        visible: visible,
        width: width,
        onChange: function onChange(a, b, c) {
          return menuClick(param, a)(b, c);
        },
        data: data,
        dataIndex: dataIndex
      }, renderItem());
    } // 多选


    if (['checkbox'].includes(valueType)) {
      return /*#__PURE__*/React.createElement(SpDropDown, {
        isMultiple: true,
        excelContext: excelContext,
        visible: visible,
        width: width,
        onChange: function onChange(a, b) {
          return selectChange(param, a)(b);
        },
        data: data,
        dataIndex: dataIndex
      }, renderItem());
    } // 时间选择


    if (['date'].includes(valueType)) {
      // 嵌入单元格
      return renderItem();
    } // 级联


    if (['address'].includes(valueType)) {
      var curDataValue = [];

      if (curData) {
        curDataValue = curData.map(function (v) {
          return v[fieldNames && fieldNames.value ? fieldNames.value : 'value'];
        });
      }

      return /*#__PURE__*/React.createElement(Cascader, {
        expandTrigger: "hover",
        value: curDataValue,
        open: visible,
        fieldNames: _objectSpread({
          label: 'label',
          value: 'value',
          children: 'children'
        }, fieldNames || {}),
        options: selection,
        popupClassName: getPrimary('salaryExcelAntCascader'),
        onChange: menuClick(param, selectOneRow.selection)
      }, renderItem());
    } // 自定义


    if (['customize'].includes(valueType)) {
      return renderItem();
    } // 输入框


    return visible ? /*#__PURE__*/React.createElement("div", {
      style: {
        width: width,
        height: itemHeight
      },
      className: getPrimary('salaryExcelDataItemInputBox')
    }, /*#__PURE__*/React.createElement(Input, {
      className: "salaryExcelDataItemInput",
      ref: inputRef,
      value: value,
      onChange: inputChange,
      onBlur: inputBlur,
      onPressEnter: inputBlur // placeholder={data[dataIndex] === undefined ? '-' : data[dataIndex]}
      ,
      style: {
        height: itemHeight - 5
      }
    })) : renderItem();
  } else {
    return renderItem();
  }
}

function Crosshair(_ref3) {
  var excelContext = _ref3.excelContext,
      change = _ref3.change,
      rowIndex = _ref3.rowIndex,
      source = _ref3.source,
      param = _ref3.param;
  var _excelContext$reduxDa2 = excelContext.reduxData,
      excelBox = _excelContext$reduxDa2.excelBox,
      dragLine = _excelContext$reduxDa2.dragLine,
      copyDrags = _excelContext$reduxDa2.copyDrags,
      rowHeight = _excelContext$reduxDa2.rowHeight;
  var startY = useRef(0);
  var sourceMaxIndex = source && source.length - 1;

  var resizeStart = function resizeStart(e) {
    startY.current = e.pageY;

    if (excelBox) {
      excelBox.current.style.userSelect = 'none';
    }

    if (dragLine) {
      try {
        var _e$target$parentNode$ = e.target.parentNode.parentNode.getBoundingClientRect(),
            top = _e$target$parentNode$.top,
            left = _e$target$parentNode$.left,
            width = _e$target$parentNode$.width;

        var dragLineDom = dragLine.current;
        dragLineDom.style.display = 'block';
        dragLineDom.style.top = top + rowHeight + 'px';
        dragLineDom.style.left = left + 'px';
        dragLineDom.style.width = width + 'px';
        dragLineDom.style.height = '0px';
      } catch (e) {
        throw e;
      }
    }
  };

  var resizeStop = function resizeStop(e) {
    if (excelBox) {
      excelBox.current.style.userSelect = 'auto';
    }

    if (dragLine) {
      var dragLineDom = dragLine.current;
      dragLineDom.style.display = 'none';
    }

    var maxRowIndex = Math.ceil((e.pageY - startY.current) / rowHeight) + rowIndex;
    change({
      copyDrags: {
        rowIndex: copyDrags.rowIndex >= 0 ? copyDrags.rowIndex : rowIndex,
        dataIndex: param.dataIndex,
        maxRowIndex: maxRowIndex > sourceMaxIndex ? sourceMaxIndex : maxRowIndex
      }
    }, 'copyDrags');
  };

  var resize = function resize(e) {
    if (dragLine) {
      var maxRowIndex = Math.ceil((e.pageY - startY.current) / rowHeight);

      if (e.target.className.includes('salaryExcelDataItem')) {
        var dragLineDom = dragLine.current;
        dragLineDom.style.height = maxRowIndex * rowHeight + 'px';
      }
    }
  };

  return /*#__PURE__*/React.createElement(Resizable, {
    key: "crosshair",
    width: 8,
    height: 8,
    onResize: resize,
    onResizeStart: resizeStart,
    onResizeStop: resizeStop,
    draggableOpts: {
      enableUserSelectHack: false
    }
  }, /*#__PURE__*/React.createElement("span", {
    className: "crosshair"
  }));
}