import React from 'react';
import ReactDom from 'react-dom';
import "./index.less";
export var removeDom = function removeDom(eSpan) {
  if (document.body.contains(eSpan)) {
    document.body.removeChild(eSpan);
  }
};
export var getRefBounding = function getRefBounding(ref) {
  return ref ? ref.current.getBoundingClientRect() : {};
}; // window.tExcelResize 拖动时阻止hover || stopHover入参明示阻止hover

export var stopHoverFn = function stopHoverFn() {
  var extra = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
  return window.tExcelResize || extra;
};
export var renderPopover = function renderPopover(top, left, width, text, node, onMouseEnter, onMouseLeave) {
  // 页面不存在新建节点的时候，添加这个气泡节点
  if (!document.body.contains(node.current)) {
    document.body.appendChild(node.current);
  } // 往这个气泡节点里加入内容


  setTimeout(function () {
    ReactDom.render( /*#__PURE__*/React.createElement("div", {
      className: "box_popover_modal",
      style: {
        top: top - 8,
        left: left + width / 2
      }
    }, /*#__PURE__*/React.createElement("div", {
      className: "inner",
      onMouseEnter: onMouseEnter,
      onMouseLeave: onMouseLeave
    }, /*#__PURE__*/React.createElement("div", {
      className: "arrowBox"
    }, /*#__PURE__*/React.createElement("div", {
      className: "arrow"
    })), /*#__PURE__*/React.createElement("div", {
      className: "content"
    }, text || '-'))), node.current);
  }, 0);
};